%define name freqtweak
%define version 0.4.5
%define release 2mdk

Name: %{name}
Summary: GUI-based sound file tweaker
Version: %{version}
Release: %{release}

Source:		%{name}-%{version}.tar.bz2
URL:		http://freqtweak.sourceforge.net/
License:	GPL
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	wxGTK2.4-devel >= 2.4.0-2mdk 
BuildRequires:  libfftw-devel libjack-devel

%description
FreqTweak is a tool for FFT-based realtime audio spectral manipulation and
display. It provides several algorithms for processing audio data in the
frequency domain and a highly interactive GUI to manipulate the associated
filters for each. It also provides high-resolution spectral displays in the
form of scrolling-raster spectragrams and energy vs frequency plots
displaying both pre- and post-processed spectra.

%prep
%setup -q

%build
%configure
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="sound_section.png" needs="x11" title="FreqTweak" longtitle="Sound manipulator" section="Multimedia/Sound"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files
%defattr(-,root,root)
%doc README COPYING AUTHORS ChangeLog NEWS THANKS
%{_bindir}/%name
%{_menudir}/%name

%changelog
* Thu Feb 13 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.4.5-2mdk
- rebuild against wxGTK 2.4

* Thu Jan 30 2003 Austin Acton <aacton@yorku.ca> 0.4.5-1mdk
- initial package
